Bug 66302 - FILESAVE: Formulae exported to XHTML incorrectly
Summary: FILESAVE: Formulae exported to XHTML incorrectly
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.0.0.3 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: HTML-Export
  Show dependency treegraph
 
Reported: 2013-06-28 07:31 UTC by callow.mark
Modified: 2019-12-03 14:10 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Simple .odt doc with table of formulae (143.95 KB, application/vnd.oasis.opendocument.text)
2013-06-28 07:33 UTC, callow.mark
Details

Note You need to log in before you can comment on or make changes to this bug.
Description callow.mark 2013-06-28 07:31:22 UTC
Problem description: 

Steps to reproduce:
1. Open the document I will attach in a moment. Observe the table with mathemetical formulae.
2. Export the document as XHTML
3. Open the exported .html file in various web browsers and observe.

Current behavior: The output only looks correct in Firefox

Expected behavior:  The output should look correct in any web browser.

The output is correct in Firefox, which supports MathML.

In other browsers that support MathML, such as Safari and Opera, the formulae are displayed correctly via the MathML. However the fallback dataURL image is also shown, as an empty box in most cases, or as a box with the broken image icon.

In browsers which do not support MathML, e.g. Chrome and IE, a pretty bad (incomplete in many cases) text version of the formula is shown together with the same bad dataURL images as noted above.

So there are 3 issues:
- the fallback dataURL images are broken
- the fallback images are shown in some browsers when they shouldn't be.
- the plain text version is shown in non-MathML supporting browsers as well as the broken fallback images. I'm not sure why plain text is ever exported.




              
Operating System: All
Version: 4.0.0.3 release
Comment 1 callow.mark 2013-06-28 07:33:34 UTC
Created attachment 81619 [details]
Simple .odt doc with table of formulae
Comment 2 Adam Johnson 2013-06-29 03:02:40 UTC
I can confirm this bug.  The output is correct in Firefox 22 but incorrect in Opera 12.15, Internet Explorer 10, and Google Chrome 27.

(Operating System: Windows 7, LibO Version:4.1.0.1 Build ID: 1b3956717a60d6ac35b133d7b0a0f5eb55e9155)
Comment 3 Jan Koberstein 2013-07-03 11:28:54 UTC
I can confirm, that the export is not displayed correctly on some browsers.

I exported the document with LibO OS: WinXP (SP3), LibO version: 4.0.3.3 (Build ID: 0eaa50a932c8f2199a615e1eb30f7ac74279539)

I opened the export with
- OS: WinXP Professional (SP3) 32bit, Internet Explorer 7 (Version: 7.0.5730.13) displayed incorrect (something like "image not found"-icon),
- OS: WinXP Professional (SP3) 32bit, Google Chrome 27.0.1453.116 displayed incorrect (something like "image not found"-icon),
- OS: WinXP Professional (SP3) 32bit, Firefox 20.0.1 displayed correct

After that I inspected the created HTML-file:
<img>-tags with embedded image-data are used, maybe these embedded images could not be handled correctly by the browsers.

Nice Regards,
Jan
Comment 4 callow.mark 2013-07-04 02:32:56 UTC
(In reply to comment #3)
> 
> I opened the export with
> - OS: WinXP Professional (SP3) 32bit, Internet Explorer 7 (Version:
> 7.0.5730.13) displayed incorrect (something like "image not found"-icon),
> - OS: WinXP Professional (SP3) 32bit, Google Chrome 27.0.1453.116 displayed
> incorrect (something like "image not found"-icon),
> - OS: WinXP Professional (SP3) 32bit, Firefox 20.0.1 displayed correct
> 
I want to point out, again, that in addition to failing to display the dataURL images, Chrome and IE display an often incorrect plain text version of the formulae.

Maybe I misunderstand the purpose of the dataURL images. I assumed they contained images of the formulae for non-MathML browsers. If that is so there should be no need to export a plain text version as yet another fallback.
Comment 5 QA Administrators 2015-04-01 14:42:04 UTC Comment hidden (obsolete)
Comment 6 Buovjaga 2015-04-24 11:29:30 UTC
Yep, incorrect in Chrome 42 and IE 11.

Win 7 Pro 64-bit Version: 5.0.0.0.alpha1+ (x64)
Build ID: f3375fa07f27bd2ade519af3c07d69040d10eaa9
TinderBox: Win-x86_64@42, Branch:master, Time: 2015-04-22_23:38:50
Locale: fi_FI
Comment 7 QA Administrators 2016-09-20 09:32:43 UTC Comment hidden (obsolete, spam)
Comment 8 QA Administrators 2019-12-03 14:10:47 UTC
Dear callow.mark,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug